ISPUNCT(3)

NAME
ispunct - punctuation character test

LIBRARY
libc

SYNOPSIS
#include <ctype.h>
int
ispunct(int c);

DESCRIPTION
The ispunct() function tests for any printing character except for space (' ') or a character for which isalnum(3) is true. For single C chars locales (see multibyte(3)) the value of the argument is representable as an unsigned char or the value of EOF. In the ASCII character set, this includes the following characters (with their numeric values shown in octal):

041 ``!'' | 042 ``"'' | 043 ``#'' | 044 ``$'' | 045 ``%''
046 ``&'' | 047 ``''' | 050 ``('' | 051 ``)'' | 052 ``*''
053 ``+'' | 054 ``,'' | 055 ``-'' | 056 ``.'' | 057 ``/''
072 ``:'' | 073 ``;'' | 074 ``<'' | 075 ``='' | 076 ``>''
077 ``?'' | 100 ``@'' | 133 ``['' | 134 ``\'' | 135 ``]''
136 ``^'' | 137 ``_'' | 140 ```'' | 173 ``{'' | 174 ``|''
175 ``}'' | 176 ``~''

RETURN VALUES
The ispunct() function returns zero if the character tests false and returns non-zero if the character tests true.

SEE ALSO
ctype(3), multibyte(3), ascii(7)

STANDARDS
The ispunct() function conforms to ansiC.